/*
    Work in progress : need to move and remove a lot
*/
/* in h1, need to remove margin and reset font-size */
.navbar-brand{margin:0;height:auto;}
.navbar-brand.with-logo{
    line-height:2;
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

.navbar-brand .logo-container {padding:0;padding:0 0.5rem;display:inline-block;}
.navbar-brand .logo-container > img{max-height:2em;width:auto;display:inline-block;}
.navbar-brand img {vertical-align: text-bottom;}

.skip-navigation{list-style-type: none;}
.skip-navigation{position:absolute;padding:0}
/* lang can be bigger than screen quick fix*/
.navbar-nav #langs-container{overflow-y:auto;max-height:10em;max-height:70vh;}

/* For footer, inspirated by layout-galla */
html, body {height: 100%;}
#dynamicReloadContainer{min-height: 100%;position: relative;}
footer {width: 100%;position: absolute;bottom: 0;left: 0;}
main{padding-bottom:3em}

/* loading loaded */
.js .body-loading #dynamicReloadContainer {
    opacity: 0;
}
.js .body-loading #dynamicReloadContainer {
    -webkit-transition: opacity 400ms linear;
    transition: opacity 400ms linear;
}
#ajax-loading .loader {
    display: none;
    z-index: 9999999;
    position: fixed;
    top: 50%;
    left: 50%;
    border: 0;
}
#ajax-loading .fa{width:1rem;height:1rem;font-size:1rem;margin-top:-0.5rem;margin-left:-0.5rem;}
#ajax-loading .fa-lg{width:1.4rem;height:1.4rem;font-size:1.4rem;margin-top:-0.7rem;margin-left:-0.7rem;}
#ajax-loading .fa-2x{width:2rem;height:2rem;font-size:2rem;margin-top:-1rem;margin-left:-1rem;}
#ajax-loading .fa-3x{width:3rem;height:3rem;font-size:3rem;margin-top:-1.5rem;margin-left:-1.5rem;}
#ajax-loading .fa-2x{width:4rem;height:4rem;font-size:4rem;margin-top:-2rem;margin-left:-2rem;}
#ajax-loading .fa-2x{width:5rem;height:5rem;font-size:5rem;margin-top:-2.5rem;margin-left:-2.5rem;}

.js .body-loading #ajax-loading .loader {
    display: block;
}

/* Some print style */
@media print {
  .container {
      width:100% !important;
  }
}
.question-container-printanswers td > .col-md-8{margin:0;padding:0;float:none;width:100%}

/* Centering some answers */
.date.question-container .form-inline,
.language.question-container .form-inline,
.list-dropdown.question-container .form-inline,
.choice-5-pt-radio.question-container .form-inline
  {text-align:center}
.question-container div.text-item .col-sm-1,
.question-container div.text-item .col-sm-2,
.question-container div.text-item .col-sm-3,
.question-container div.text-item .col-sm-4,
.question-container div.text-item .col-sm-5,
.question-container div.text-item .col-sm-6,
.question-container div.text-item .col-sm-7,
.question-container div.text-item .col-sm-8,
.question-container div.text-item .col-sm-9,
.question-container div.text-item .col-sm-10,
.question-container div.text-item .col-sm-11
    {float:none;margin-right:auto;margin-left:auto;}
table.ls-answers thead th,table.ls-answers thead td,table.ls-answers .ls-heading th,table.ls-answers .ls-heading td{
    text-align:center;
}
/* hide (then disable tab) for input other in multiple choice */
.checkbox-text-item .other-checkbox[aria-hidden]{display:none}
.checkbox-text-item .checkbox-item .other-checkbox[aria-hidden] + label::before {display:none}
.checkbox-text-item .checkbox-item .other-checkbox[aria-hidden] + label::after {display:none}

/* group system : need fix for panel */
.panel .panel.question-container{border:0 none transparent;
-webkit-box-shadow: initial;
box-shadow: initial;
}
/* Limesurvey vanilla part */


.group-title-container {
  padding: 1em;
  background:transparent;
}

.top-container {
    width: 100%;
    padding: 0;
    color: inherit;
}

.top-content .form-change-lang{float:right}
.dir-rtl .top-content .form-change-lang{float:left}
.no-js .top-content .form-change-lang{display:none}

.top-container .top-content:empty{display:none}
.group-description:empty{display:none}
.group-title:empty{display:none}

/**
 * Navigator
 */

 #navigator-container {
     padding-bottom: 1em;
 }
 #navigator-container > hr
 {
    margin-top: 0px;
    margin-bottom: 0px;
 }

/**
 * Question part
 */
/** Question Design **/

.question-number,.question-code{margin:0 0.3em}

.question-valid-container {
  position: relative;
}

.ls-question-help,
.ls-questionhelp{
  margin-bottom:0.1em;
}

/* little icon near the question-help */
.ls-questionhelp{position: relative;}
.dir-ltr .ls-questionhelp{margin-left:1.2em;}
.dir-rtl .ls-questionhelp{margin-right:1.2em;}

.ls-questionhelp:before{content:"\f059"}
.ls-questionhelp:before {
    display: block;
    position:absolute;
    font-family: FontAwesome;
    font-size: inherit;
    line-height: inherit;
    height:100%;
}

/* If you want to center the icon */
/*
.ls-questionhelp:before {
    top:50%;
    margin-top:-0.7em;
}
*/
.dir-ltr .ls-questionhelp:before {
    left:-1.1em;
}
.dir-rtl .ls-questionhelp:before {
    right:-1.1em;
}

/**
 * Unsure part
 */

 #main-col {
     margin-top: 1em;
 }

 .col-centered{
     float: none;
     margin: 0 auto;
 }

.radio-list li
{
    display: block;
    clear: both;
    margin-right: 3rem;
}
.question-item .other-label
{
    margin: 0px;
    padding: 0px;
}

/**
 * For em-type
 */
 .hide-tip
 {
     display: none;
 }

/**
 * Surveys list
 */
.surveys-list {
    margin-top: 1em;
    list-style: none;
}
.surveys-list li {
    padding: 0.5em;
}
.surveys-list li a {
    margin-left: 0.5em;
}

#surveys-list-jumbotron {
    text-align: center;
}

#surveys-list-jumbotron img.site-surveylist-logo {
    max-width: 35%;
    display: block;
    margin: 1em auto;
}

#surveyListFooter {
    width: 100%;
    text-align: center;
    margin: 0 auto 1em;
}
/**
 * Specific question part
 */
.radio-item label,.checkbox-item label {
    cursor: pointer;
}
.radio-item [type='radio'],.checkbox-item [type='checkbox'] { /* Why we must positionning at same place */
    cursor: pointer;
}
.js td.radio-item,.js td.checkbox-item{
    cursor: pointer;
}

.slider-item {
    min-height: 3em;
}

/* Max width for some answer part */
/* dynamic group (multiple-numeric) .form-control-static same padding and border width than form-control for better alignment */
.ls-group-dynamic .form-control-static{ padding-left:15px;padding-right:15px;}
/* array by column hover column */
.table-col-hover col:hover, /* This, maybe, work in CSS4 :) */
.table-col-hover col.hover /* Actual solution : js only*/
{
}

/**
 * Gender buttons
 */

/* General */
.button-item .ls-icon {
    display: block;
}
.button-item .ls-icon {
    font-size: 1.4em;
}

html body .navbar.navbar-default.navbar-fixed-top {
    z-index: 2000;
}
.file-upload-modal,.modal{
    z-index: 2001;
}
/**********************************
Responsive navbar-brand image CSS
- Remove navbar-brand padding for firefox bug workaround
- add 100% height and width auto ... similar to how bootstrap img-responsive class works
***********************************/

.brand-logo  .top-container .top-content{
    padding-top: 2em;
}



/* Wrap text in e.g. gender button "No answer */
.wrap-normal {
    white-space: normal;
}

/* Center modal vertically, used by file-upload modal */
.modal {
    text-align: center;
    padding: 0!important;
}
.modal:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
}
.modal-dialog {
    display: inline-block;
     text-align: left;
     vertical-align: middle;
}

#yii-flash-message {
    margin-top: 3em;
}

.prefix-text-right {
    text-align: right;
}

.align-middle {
    vertical-align: middle !important;
}


/* Used for date-picker icon within input */
.form-control-feedback {
    right: 1em;
    left: auto;
}


/* Only use <label> to get vertical align easy. Don't want boldness. */
.no-label {
    font-weight: normal;
}

table > tbody > tr > td.ddprefix {
    padding-right: 1em;
    vertical-align: middle;
}

/**
 * Display adjust, question type by question type
 */
.table > tbody > tr > th
{
    vertical-align: middle;
}

.geoloc-item .search-icon, .geoloc-item .checkbox  {
    padding-top: 0.8em;
}

.geoname_search {
    margin-bottom: 0.8em;
}

/* Submitted error */
.submitted-error .ls-em-tip,.submitted-error .ls-question-mandatory {
    font-weight: bold;
}

#outerframeContainer {
    word-wrap: break-word;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    -o-hyphens: auto;
    hyphens: auto;
}

.xdebug-var-dump {
    z-index: 10000;
    position: relative;
    top: 10px;
}


div.yes-no .btn-group label {
  white-space:normal;
}
p.return-to-survey{
    clear:left;
}

/* Make sure question index menu is not too long. */
#index-menu ul.dropdown-menu {
    max-height: 50vh;
}

.text-break-pre {
    white-space: pre-line;
}
